
def my_parse(s):

    cmd_list = s.split()

    if len(cmd_list) > 3:
        raise IndexError
    
    from operator import add, sub, mul, truediv
    operators = {'+':add, '-':sub, '*':mul, '/':truediv}

    op = operators[cmd_list[1]]

    x = float(cmd_list[0])
    y = float(cmd_list[2])

    return op, x, y


while True:
    try:
        cmd = input('My >>> ')

        result = my_parse(cmd)

        func, x, y = my_parse(cmd)
        print(func(x, y))
    except IndexError:
        print('Wrong expression')
    except KeyError:
        print('Illegal operator')
    except ValueError:
        print('Illegal argument')
    except ZeroDivisionError:
        print('Can\'t divide by 0')
        
    
